# H245_FECMode Class Reference

`#include <h245.h>`

Inheritance diagram for H245_FECMode:

List of all members.

## Public Types

enum | OptionalFields { e_fecScheme, e_rfc2733Format }

## Public Member Functions

| H245_FECMode (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_ModeElementType | m_protectedElement
PASN_ObjectId | m_fecScheme
H245_FECMode_rfc2733Format | m_rfc2733Format

## Member Enumeration Documentation

enum H245_FECMode::OptionalFields

Enumerator:

  e_fecScheme |
  e_rfc2733Format |

## Constructor & Destructor Documentation

H245_FECMode::H245_FECMode | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_FECMode::GetDataLength | ( |  | ) | const

PBoolean H245_FECMode::Decode | ( | PASN_Stream & | strm | ) |

void H245_FECMode::Encode | ( | PASN_Stream & | strm | ) | const

void H245_FECMode::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_FECMode::Compare | ( | const PObject & | obj | ) | const

PObject* H245_FECMode::Clone | ( |  | ) | const

## Member Data Documentation

H245_ModeElementType H245_FECMode::m_protectedElement

PASN_ObjectId H245_FECMode::m_fecScheme

H245_FECMode_rfc2733Format H245_FECMode::m_rfc2733Format

The documentation for this class was generated from the following file:

- h245.h